Subject: bug#30029: gzip-1.9 released [stable]

From: Paul Eggert <[email-masked]>
Date: Wed, 13 Apr 2022 10:34:37 -0700

On 4/10/22 11:27, Andreas Schwab wrote:
>>>>    AC_PROG_GREP
>>>> +AC_CHECK_PROG([LESS], [less], [less])
>>>> +AM_CONDITIONAL([LESS], [test "$LESS"]) >> ...
>>> This check is bogus.  It tests the build environment, which has nothing
>>> to do with the host environment.
>> In other words, it's like AC_PROG_GREP.
> Two wrongs don't make a right.

I didn't say either was right. However, gzip has used AC_PROG_GREP this 
way for a decade with no actual bugs reported, so doing things 
differently is low priority.

You're welcome to write a patch. I assume a patch should handle GREP, 
LESS, and SHELL (perhaps others; I haven't checked). For consistency, 
it'd be helpful to write similar patches for other GNU packages.